
Redmine - Patch #31276

Serialize group_by and totalable_names in Query#as_params

2019-04-29 11:07 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.11   

Description

Problem

- configure a (on the fly, not saved) issue query, group by anything and have any totals displayed

- click on an issue in the resulting issue list

- go back to the list via the x of y link between the prev/next links

Both grouping and configured total values are now lost since these settings are not contained in the URL parameters of the link.

Solution

By adding :group_by and :t keys to Query#as_params, the query configuration is fully preserved (build_from_params already checks

for those keys).

Patch courtesy of Planio

Associated revisions

Revision 18103 - 2019-04-30 05:10 - Go MAEDA

Changes Query#as_params for more complete serialization (#31276).

Patch by Jens Krämer.

Revision 18104 - 2019-04-30 05:29 - Go MAEDA

Merged r18103 from trunk to 4.0-stable (#31276).

Revision 18105 - 2019-04-30 05:33 - Go MAEDA

Merged r18103 from trunk to 3.4-stable (#31276).

History

#1 - 2019-04-29 14:19 - Go MAEDA

- Target version set to 3.4.11

Confirmed the problem and the attached patch works fine. Setting the target version to 3.4.11.

#2 - 2019-04-30 05:34 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you for offering the patch.

Files

0001-changes-Query-as_params-for-more-complete-serializat.patch 1.84 KB 2019-04-29 Jens Krämer

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://plan.io/redmine-hosting
http://www.tcpdf.org

